# PSF-LoginServer - master - net.psforever.services.InterstellarClusterService
PSF - LoginServer - master - net.psforever.services.InterstellarClusterService
Keywords: PSF LoginServer master net.psforever.services.InterstellarClusterService

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package account
  Definition Classes
    services
-  package avatar
  Definition Classes
    services
-  package chat
  Definition Classes
    services
-  package galaxy
  Definition Classes
    services
-  package hart
  Definition Classes
    services
-  package local
  Definition Classes
    services
-  package properties
  Definition Classes
    services
-  package support
  Definition Classes
    services
-  package teamwork
  Definition Classes
    services
-  package vehicle
  Definition Classes
    services
- GenericEventBus
- GenericEventBusMsg
- InterstellarClusterService
- RemoverActor
- Service
- ServiceManager

c

net.psforever.services

# InterstellarClusterService 

###
Companion object InterstellarClusterService

#### class InterstellarClusterService extends AbstractBehavior[Command]

Source
  InterstellarClusterService.scala

Linear Supertypes
AbstractBehavior[Command], ExtensibleBehavior[Command], Behavior[Command], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. InterstellarClusterService
2. AbstractBehavior
3. ExtensibleBehavior
4. Behavior
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new InterstellarClusterService(context: ActorContext[Command], _zones: Iterable[Zone])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  val context: ActorContext[Command]
   Attributes
     protected
   Definition Classes
     AbstractBehavior
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def narrow[U <: Command]: Behavior[U]
    Definition Classes
      Behavior
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  def onMessage(msg: Command): Behavior[Command]
    Definition Classes
      InterstellarClusterService → AbstractBehavior
18.  def onSignal: PartialFunction[Signal, Behavior[Command]]
    Definition Classes
      AbstractBehavior
    Annotations
      @throws(classOf[java.lang.Exception])
19.  final def receive(ctx: TypedActorContext[Command], msg: Command): Behavior[Command]
    Definition Classes
      AbstractBehavior → ExtensibleBehavior
    Annotations
      @throws(classOf[java.lang.Exception])
20.  final def receiveSignal(ctx: TypedActorContext[Command], msg: Signal): Behavior[Command]
    Definition Classes
      AbstractBehavior → ExtensibleBehavior
    Annotations
      @throws(classOf[java.lang.Exception])
21.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
22.  def toString(): String
    Definition Classes
      AnyRef → Any
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
26.  val zoneActors: Map[String, (ActorRef[Command], Zone)]
27.  val zones: Iterable[Zone]

### Inherited from AbstractBehavior[Command]

### Inherited from ExtensibleBehavior[Command]

### Inherited from Behavior[Command]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped